Skip to main content
GET
/
v1
/
account-mappings
/
{accountMappingId}
Get Account Mapping
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/account-mappings/{accountMappingId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "accountTags": [
    "<string>"
  ],
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "account": "<string>",
  "accountDescription": "<string>",
  "code": "<string>",
  "status": "MANUAL",
  "usedByAnalysisSources": [
    "<string>"
  ],
  "fundId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountMappingId
string
required

Response

200 - application/json

OK

version
integer<int64>
required

The data integrity version, to ensure data consistency.

accountTags
string[]
required

A list of account tags associated with this account.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

engagementId
string

Identifies the associated engagement.

account
string

The account name as provided in the source data.

accountDescription
string

The description of the account as provided in the source data.

code
string

The account grouping code mapped to this account.

status
enum<string>

Indicates the current status of the account mapping.

Available options:
MANUAL,
MAC_CODE,
MODIFIED_MAC,
UNVERIFIED,
VERIFIED,
INFERRED,
UNMAPPED,
USED,
UNUSED
usedByAnalysisSources
string[]

A list of analysis sources that use this account.

fundId
string

The fund that includes this account.